@echo off
:: Ruta de la carpeta que deseas respaldar
set SOURCE_FOLDER=F:\XAMPP\HTDOCS

:: Ruta donde se guardará el archivo de backup
set BACKUP_FOLDER=F:\XAMPP\HTDOCS

:: Nombre del archivo comprimido (añade la fecha y hora si lo deseas)
set BACKUP_NAME=Backup_%date:~-4%-%date:~3,2%-%date:~0,2%_%time:~0,2%-%time:~3,2%.7z

:: Crear el backup
7Z.EXE a -t7z "%BACKUP_FOLDER%\%BACKUP_NAME%" "%SOURCE_FOLDER%" -mx9

:: Mensaje de éxito
echo Backup completado: %BACKUP_FOLDER%\%BACKUP_NAME%

